function deathpoint:data/player/load with entity @s

tellraw @s ["\n",{"text":"──── Deathpoint Preferences ────","color":"green"},"\n",{"nbt":"button.back","storage":"deathpoint:json","interpret":true}]

execute if data storage deathpoint:main players[0].preferences{show_messages:false} run data modify storage temp value set from storage deathpoint:json options.off
execute if data storage deathpoint:main players[0].preferences{show_messages:true} run data modify storage temp value set from storage deathpoint:json options.on
tellraw @s {"translate":"chat.square_brackets","with":[{"translate":"options.generic_value","with":["Show Death Messages",{"nbt":"value","storage":"temp","interpret":true}]}],"hoverEvent":{"action":"show_text","contents":"Show a message telling you where you died"},"clickEvent":{"action":"run_command","value":"/trigger deathpoint set 11"}}

#execute if data storage deathpoint:main players[0].preferences{store_items:false} run data modify storage temp value set from storage deathpoint:json options.off
#execute if data storage deathpoint:main players[0].preferences{store_items:true} run data modify storage temp value set from storage deathpoint:json options.on
#tellraw @s {"translate":"chat.square_brackets","with":[{"translate":"options.generic_value","with":["Store Items on Death",{"nbt":"value","storage":"temp","interpret":true}]}],"hoverEvent":{"action":"show_text","contents":"Store items in a death marker when you die"},"clickEvent":{"action":"run_command","value":"/trigger deathpoint set 14"}}

#execute if data storage deathpoint:main players[0].preferences{store_xp:false} run data modify storage temp value set from storage deathpoint:json options.off
#execute if data storage deathpoint:main players[0].preferences{store_xp:true} run data modify storage temp value set from storage deathpoint:json options.on
#tellraw @s {"translate":"chat.square_brackets","with":[{"translate":"options.generic_value","with":["Store XP on Death",{"nbt":"value","storage":"temp","interpret":true}]}],"hoverEvent":{"action":"show_text","contents":"Store XP in a death marker when you die"},"clickEvent":{"action":"run_command","value":"/trigger deathpoint set 15"}}

execute if data storage deathpoint:main players[0].preferences{discard_empty:false} run data modify storage temp value set from storage deathpoint:json options.off
execute if data storage deathpoint:main players[0].preferences{discard_empty:true} run data modify storage temp value set from storage deathpoint:json options.on
tellraw @s {"translate":"chat.square_brackets","with":[{"translate":"options.generic_value","with":["Discard Empty Deaths",{"nbt":"value","storage":"temp","interpret":true}]}],"hoverEvent":{"action":"show_text","contents":"Only save deaths to your history when you die with items or experience"},"clickEvent":{"action":"run_command","value":"/trigger deathpoint set 12"}}

execute if data storage deathpoint:main players[0].preferences{delete_after_pickup:false} run data modify storage temp value set from storage deathpoint:json options.off
execute if data storage deathpoint:main players[0].preferences{delete_after_pickup:true} run data modify storage temp value set from storage deathpoint:json options.on
tellraw @s {"translate":"chat.square_brackets","with":[{"translate":"options.generic_value","with":["Delete Death After Pickup",{"nbt":"value","storage":"temp","interpret":true}]}],"hoverEvent":{"action":"show_text","contents":"Delete deaths from your history after you get your stuff back"},"clickEvent":{"action":"run_command","value":"/trigger deathpoint set 16"}}

execute if data storage deathpoint:main players[0].preferences{resend_on_change:false} run data modify storage temp value set from storage deathpoint:json options.off
execute if data storage deathpoint:main players[0].preferences{resend_on_change:true} run data modify storage temp value set from storage deathpoint:json options.on
tellraw @s {"translate":"chat.square_brackets","with":[{"translate":"options.generic_value","with":["Resend Chat Menus",{"nbt":"value","storage":"temp","interpret":true}]}],"hoverEvent":{"action":"show_text","contents":"Resend chat menus after clicking a button\nNOTE: When you delete a death, all earlier deaths get shifted. If you turn this off, you won't be able to see the change, and might end up deleting the wrong death."},"clickEvent":{"action":"run_command","value":"/trigger deathpoint set 13"}}

data remove storage temp value

tellraw @s {"translate":"chat.square_brackets","with":["Reset Preferences"],"color":"red","clickEvent":{"action":"run_command","value":"/trigger deathpoint set 10"}}

tellraw @s {"text":"────","color":"green"}