function deathpoint:data/player/load with entity @s

# record death data
	data modify storage temp death set value {pos:[I;],flags:{pinned:false,stored:false,marker:false}}
	# location
		data modify storage temp death.pos append from entity @s Pos[]
		data modify storage temp death.dimension set from entity @s Dimension
	# time
		execute store result storage temp death.time int 1 run time query gametime
		execute store result storage temp death.day int 1 run time query day
		execute store result storage temp death.daytime int 1 run time query daytime
	# inventory
		data modify storage temp death.inventory set from entity @s Inventory
		data remove storage temp death.inventory[{tag:{Enchantments:[{id:"minecraft:vanishing_curse"}]}}]
		data remove storage temp death.inventory[{tag:{Enchantments:[{id:vanishing_curse}]}}]
		execute store result storage temp death.item_count int 1 run data get storage temp death.inventory
		execute if data storage deathpoint:main players[0].preferences{store_items:true} if data storage temp death.inventory[0] \
			run data modify storage temp death.flags.stored set value true
	# experience
		data modify storage temp death.xp_level set from entity @s XpLevel
		data modify storage temp death.xp_total set from entity @s XpTotal
		execute store result storage temp death.xp_drop int 7 run xp query @s levels
		# cap experience at 100
			execute store result storage temp cap int 0.01 run data get storage temp death.xp_drop
			execute if data storage deathpoint:main config{cap_xp:true} unless data storage temp {cap:0} run data modify storage temp death.xp_drop set value 100
			data remove storage temp cap
		execute if data storage deathpoint:main players[0].preferences{store_xp:true} unless data storage temp death{xp_drop:0} \
			run data modify storage temp death.flags.stored set value true

execute if data storage deathpoint:main players[0].preferences{show_messages:true} run tellraw @s [{"translate":"You died at %s in dimension %s","with":[{"nbt":"death.pos[]","storage":"temp"},{"nbt":"death.dimension","storage":"temp"}]},"\n",{"translate":"chat.square_brackets","with":["Death History"],"color":"gold","hoverEvent":{"action":"show_text","contents":"Click to view and edit death history"},"clickEvent":{"action":"run_command","value":"/trigger deathpoint set 3"}}]

# discard empty death
execute if data storage temp death.flags{stored:false} if data storage deathpoint:main players[0].preferences{discard_empty:true} \
	run data remove storage temp deathstored
# add death to list
data modify storage deathpoint:main players[0].deaths prepend from storage temp death
data remove storage temp death
# delete old death
function deathpoint:data/death/remove_old with storage deathpoint:main config

# store items/experience
execute if data storage deathpoint:main players[0].deaths[0].flags{stored:false} run return 1

execute align xyz positioned ~.5 ~.5 ~.5 summon marker run function deathpoint:marker/create
item modify entity @e[type=item_display,tag=deathpoint,tag=head,tag=new] container.0 deathpoint:player_head
tag @e[type=item_display,tag=deathpoint,tag=head] remove new
function deathpoint:clear_player
