scoreboard objectives add deathpoint trigger

data modify storage deathpoint:json pack_name set value '{"text":"Deathpoint","hoverEvent":{"action":"show_text","contents":"Stores your items and XP when you die, and keeps a record of past deaths"},"clickEvent":{"action":"run_command","value":"/trigger deathpoint set 1"}}'
data modify storage deathpoint:json options set value {off:'{"translate":"options.off","color":"#ff0000"}',on:'{"translate":"options.on","color":"#00ff00"}'}
data modify storage deathpoint:json button set value {back:'{"translate":"chat.square_brackets","with":[["← ",{"translate":"gui.back"}]],"clickEvent":{"action":"run_command","value":"/trigger deathpoint set 1"}}'}
data modify storage deathpoint:json death set value {location:'[{"nbt":"death.pos[]","storage":"temp"}," in ",{"nbt":"death.dimension","storage":"temp"}]',more:'{"translate":"chat.square_brackets","with":["more"],"hoverEvent":{"action":"show_text","contents":{"translate":"Day %s\\n%s items\\n%s XP dropped","with":[{"nbt":"death.day","storage":"temp"},{"nbt":"death.item_count","storage":"temp"},{"nbt":"death.xp_drop","storage":"temp"}]}}}'}

# update data
execute unless data storage deathpoint:main {major_version:2,version:1} run function deathpoint:update
data remove storage temp compatible

gamerule keepInventory true
execute as @e[type=marker,tag=deathpoint,tag=death] at @s run function deathpoint:marker/update_death

function deathpoint:enable_triggers
tellraw @a {"translate":"chat.type.announcement","with":[{"nbt":"pack_name","storage":"deathpoint:json","interpret":true},"data pack loaded"],"color":"green"}
tellraw @a {"translate":"chat.type.announcement","with":[{"nbt":"pack_name","storage":"deathpoint:json","interpret":true},["This version of Deathpoint is experimental! If you encounter any bugs or issues, please report them to me on ",{"text":"Planet Minecraft","underlined":true,"clickEvent":{"action":"open_url","value":"https://www.planetminecraft.com/account/pms/new/krazy_j/"}},"."]],"color":"red"}