tellraw @s ["\n",{"text":"──── Deathpoint Config ────","color":"aqua"},"\n",{"nbt":"button.back","storage":"deathpoint:json","interpret":true}]

execute if data storage deathpoint:main config{cap_xp:false} run data modify storage temp value set from storage deathpoint:json options.off
execute if data storage deathpoint:main config{cap_xp:true} run data modify storage temp value set from storage deathpoint:json options.on
tellraw @s {"translate":"chat.square_brackets","with":[{"translate":"options.generic_value","with":["Cap Dropped XP",{"nbt":"value","storage":"temp","interpret":true}]}],"hoverEvent":{"action":"show_text","contents":"Limit the amount of XP dropped upon death\nIn vanilla, players drop 7 points per level when they die, with a cap of 100 points (just under 7½ levels). Deathpoint uses the same calculation, but the cap of 100 points can be disabled with this option."},"clickEvent":{"action":"run_command","value":"/function deathpoint:data/toggle_config {config:cap_xp}"}}

execute if data storage deathpoint:main config{allow_stealing:false} run data modify storage temp value set from storage deathpoint:json options.off
execute if data storage deathpoint:main config{allow_stealing:true} run data modify storage temp value set from storage deathpoint:json options.on
tellraw @s {"translate":"chat.square_brackets","with":[{"translate":"options.generic_value","with":["Allow Stealing",{"nbt":"value","storage":"temp","interpret":true}]}],"hoverEvent":{"action":"show_text","contents":"Allow players to take items and XP from other player's death markers\nCrouch when standing at player's death marker to take it."},"clickEvent":{"action":"run_command","value":"/function deathpoint:data/toggle_config {config:allow_stealing}"}}

tellraw @s {"translate":"chat.square_brackets","with":[{"translate":"options.generic_value","with":["Max Deaths",{"nbt":"config.max_deaths","storage":"deathpoint:main","color":"gold"}]}],"hoverEvent":{"action":"show_text","contents":"Limit how many deaths a player can have in their death history\nWhen the limit is reached, the oldest death will be deleted, unless it is pinned or has items or XP stored in it."},"clickEvent":{"action":"suggest_command","value":"/data modify storage deathpoint:main config.max_deaths set value "}}

execute store result storage temp sendCommandFeedback byte 1 run gamerule sendCommandFeedback
execute if data storage temp {sendCommandFeedback:false} run tellraw @s {"translate":"chat.square_brackets","with":[{"translate":"options.generic_value","with":[{"translate":"gamerule.sendCommandFeedback"},{"nbt":"options.off","storage":"deathpoint:json","interpret":true}]}],"hoverEvent":{"action":"show_text","contents":["gamerule sendCommandFeedback\nTurn off to disable the '",{"translate":"commands.trigger.set.success","with":["[deathpoint]","#"]},"' messages"]},"clickEvent":{"action":"run_command","value":"/gamerule sendCommandFeedback true"}}
execute if data storage temp {sendCommandFeedback:true} run tellraw @s {"translate":"chat.square_brackets","with":[{"translate":"options.generic_value","with":[{"translate":"gamerule.sendCommandFeedback"},{"nbt":"options.on","storage":"deathpoint:json","interpret":true}]}],"hoverEvent":{"action":"show_text","contents":["gamerule sendCommandFeedback\nTurn off to disable the '",{"translate":"commands.trigger.set.success","with":["[deathpoint]","#"]},"' messages"]},"clickEvent":{"action":"run_command","value":"/gamerule sendCommandFeedback false"}}
data remove storage temp sendCommandFeedback

data remove storage temp value

tellraw @s {"translate":"chat.square_brackets","with":["Reset Config"],"color":"red","clickEvent":{"action":"run_command","value":"/function deathpoint:data/reset_config"}}

tellraw @s {"text":"────","color":"aqua"}